/* - empty warning tooltip */
[data-selection-tooltip-parent] {
    position: relative;
}

[data-selection-tooltip-parent] .warning-tip {
    color: #D50000;
    text-align: center;
    font-size: 1.5rem;
    font-weight: var(--font-weight-semibold);
    line-height: 1.8rem;
    letter-spacing: 0.06rem;
    padding: 1.2rem 1.6rem;
    white-space: nowrap;
    transform: translateX(-50%);
    cursor: default;
    display: none;
    width: fit-content;
    min-width: 28.5rem;
    background: var(--color-white);
    border: 0.2rem solid #D50000;
    border-radius: 0.8rem;
    position: absolute;
    z-index: 10;
    left: 2rem;
    top: -6.6rem;
}

[data-selection-tooltip-parent] .warning-tip::after {
    content: '';
    display: block;
    width: 1.8rem;
    height: 1.8rem;
    position: absolute;
    bottom: -1.8rem;
    left: 50%;
    transform: translateX(-50%);
    background: url('https://cdn.planetart.com/images/icons/tooltip/tooltip_arrow.png') no-repeat;
    background-size: 100% 100%;
}
[data-selection-tooltip-parent] [data-selection-tooltip-list] {
    align-self: flex-start;
    display: inline-flex;
    flex-wrap: wrap;
    align-content: flex-start;
    justify-content: flex-start;
    gap: 1.2rem;
    margin-top: 1.2rem;
    width: -webkit-fit-content;
    width: fit-content;
    max-width: 100%;
    box-sizing: border-box;
}
[data-selection-tooltip-parent] [data-selection-tooltip-list] >* {
    margin: 0;
}
[data-selection-tooltip-parent].warning [data-selection-tooltip-list] {
    outline: 2px solid #D50000;
    border-radius: 0.6rem;
}

/* mobile */
@media (max-width: 575px) {
    /* - empty warning tooltip */
    [data-selection-tooltip-parent] .warning-tip {
        font-size: 3.33vmin;
        line-height: 3.84vmin;
        letter-spacing: 0.14vmin;
        min-width: 54.3vmin;
        padding: 2.05vmin;
        transform: none;
        left: -2.05vmin;
        top: -11.4vmin;
        border-radius: 1.025vmin;
        border-width: 0.4vmin;
    }
    [data-selection-tooltip-parent] .warning-tip::after {
        width: 2.9vmin;
        height: 2.9vmin;
        bottom: -2.9vmin;
        left: 5.8vmin;
        transform: none;
    }
    [data-selection-tooltip-parent] [data-selection-tooltip-list] {
        gap: 2.05vmin;
        margin-top: 2.05vmin;
    }
    [data-selection-tooltip-parent].warning [data-selection-tooltip-list] {
        outline-width: 0.4vmin;
    }
}